
/**
 *  Web唐明明
 *  匆匆数载恍如梦，岁月迢迢华发增。
 *  碌碌无为枉半生，一朝惊醒万事空。
 */

Page({

    /**
     * 页面的初始数据
     */
    data: {
        companyList: [],  //搜索企业列表
        pages      : {},  //分页信息
        searchValue: "",  //搜索值
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
        
    },

    /**
     * 搜索表单
     */
    searchForm(e){
        let value = e.detail.value.search
        this.setData({
            searchValue: value
        })
        if(value == ""){
            wx.showToast({
                title: "搜索内容不能为空",
                icon : "none"
            })
            return
        }
        this.getCompany(value)
    },

    /**
     * 获取列表
     */
    getCompany(value){
        wx.$api.company.lists({}, value).then(res=>{
            this.setData({
                companyList: res.data,
                pages      : res.page
            })
        })
    },

    /**
     * 点击企业
     */
    onCompany(e){
        let company     = e.currentTarget.dataset.item,
            newRecord   = [...[company], ...wx.getStorageSync("companyRecord")],
            newobj      = {}

        let record = newRecord.reduce((preVal, curVal)=>{
            newobj[curVal.company_id] ? '' : newobj[curVal.company_id] = preVal.push(curVal); 
	        return preVal
        }, [])

        // 去重后的数组长度
        if(record.length > 10){
            record = record.slice(0, 10)
        }

        // 存储浏览记录
        wx.setStorageSync('companyRecord', record)
        
        // 存储店铺ID
        wx.setStorage({
            data    : company.store_id,
            key     : "storeId",
            success : res=>{
                if(res.errMsg == "setStorage:ok"){
                    wx.redirectTo({
                        url: "/pages/shortVideo/index",
                    })
                }
            }
        })
    }
})